/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __USER_RINGBUF_SUCCESS_SKEL_H__
#define __USER_RINGBUF_SUCCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct user_ringbuf_success {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *user_ringbuf;
		struct bpf_map *kernel_ringbuf;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *test_user_ringbuf_protocol;
		struct bpf_program *test_user_ringbuf;
		struct bpf_program *test_user_ringbuf_epoll;
	} progs;
	struct {
		struct bpf_link *test_user_ringbuf_protocol;
		struct bpf_link *test_user_ringbuf;
		struct bpf_link *test_user_ringbuf_epoll;
	} links;
	struct user_ringbuf_success__bss {
		int read;
		char __pad0[4];
		__u64 kern_mutated;
		__u64 user_mutated;
		__u64 expected_user_mutated;
		int err;
		int pid;
		int val;
	} *bss;

#ifdef __cplusplus
	static inline struct user_ringbuf_success *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct user_ringbuf_success *open_and_load();
	static inline int load(struct user_ringbuf_success *skel);
	static inline int attach(struct user_ringbuf_success *skel);
	static inline void detach(struct user_ringbuf_success *skel);
	static inline void destroy(struct user_ringbuf_success *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
user_ringbuf_success__destroy(struct user_ringbuf_success *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
user_ringbuf_success__create_skeleton(struct user_ringbuf_success *obj);

static inline struct user_ringbuf_success *
user_ringbuf_success__open_opts(const struct bpf_object_open_opts *opts)
{
	struct user_ringbuf_success *obj;
	int err;

	obj = (struct user_ringbuf_success *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = user_ringbuf_success__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	user_ringbuf_success__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct user_ringbuf_success *
user_ringbuf_success__open(void)
{
	return user_ringbuf_success__open_opts(NULL);
}

static inline int
user_ringbuf_success__load(struct user_ringbuf_success *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct user_ringbuf_success *
user_ringbuf_success__open_and_load(void)
{
	struct user_ringbuf_success *obj;
	int err;

	obj = user_ringbuf_success__open();
	if (!obj)
		return NULL;
	err = user_ringbuf_success__load(obj);
	if (err) {
		user_ringbuf_success__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
user_ringbuf_success__attach(struct user_ringbuf_success *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
user_ringbuf_success__detach(struct user_ringbuf_success *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *user_ringbuf_success__elf_bytes(size_t *sz);

static inline int
user_ringbuf_success__create_skeleton(struct user_ringbuf_success *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "user_ringbuf_success";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "user_ringbuf";
	s->maps[0].map = &obj->maps.user_ringbuf;

	s->maps[1].name = "kernel_ringbuf";
	s->maps[1].map = &obj->maps.kernel_ringbuf;

	s->maps[2].name = "user_rin.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	s->maps[3].name = "user_rin.rodata";
	s->maps[3].map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_user_ringbuf_protocol";
	s->progs[0].prog = &obj->progs.test_user_ringbuf_protocol;
	s->progs[0].link = &obj->links.test_user_ringbuf_protocol;

	s->progs[1].name = "test_user_ringbuf";
	s->progs[1].prog = &obj->progs.test_user_ringbuf;
	s->progs[1].link = &obj->links.test_user_ringbuf;

	s->progs[2].name = "test_user_ringbuf_epoll";
	s->progs[2].prog = &obj->progs.test_user_ringbuf_epoll;
	s->progs[2].link = &obj->links.test_user_ringbuf_epoll;

	s->data = (void *)user_ringbuf_success__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *user_ringbuf_success__elf_bytes(size_t *sz)
{
	*sz = 11816;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\xe8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x70\x72\x63\x74\x6c\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\
\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\
\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\x6c\x69\x6d\
\x69\x74\x36\x34\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\
\x62\x75\x66\x5f\x73\x75\x63\x63\x65\x73\x73\x2e\x63\0\x4c\x42\x42\x30\x5f\x36\
\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\x73\x67\0\x4c\
\x42\x42\x30\x5f\x33\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\
\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x2e\x5f\x5f\x5f\x5f\x66\x6d\
\x74\0\x4c\x42\x42\x30\x5f\x35\0\x70\x75\x62\x6c\x69\x73\x68\x5f\x6b\x65\x72\
\x6e\x5f\x6d\x65\x73\x73\x61\x67\x65\x73\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x70\
\x75\x62\x6c\x69\x73\x68\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\
\x67\0\x4c\x42\x42\x31\x5f\x32\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x5f\x6d\x73\x67\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x4c\x42\x42\x31\x5f\
\x31\x35\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x31\x5f\x31\x30\0\x4c\x42\x42\
\x31\x5f\x35\0\x4c\x42\x42\x31\x5f\x39\0\x4c\x42\x42\x31\x5f\x31\x31\0\x4c\x42\
\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x38\0\x4c\x42\x42\x31\x5f\x31\x33\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x73\x67\x2e\x5f\
\x5f\x5f\x5f\x66\x6d\x74\0\x4c\x42\x42\x31\x5f\x31\x34\0\x4c\x42\x42\x32\x5f\
\x32\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\0\x72\x65\x63\x6f\
\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x6e\x75\x6d\x5f\x63\x61\x6c\x6c\x73\0\
\x4c\x42\x42\x33\x5f\x33\0\x4c\x42\x42\x33\x5f\x36\0\x72\x65\x63\x6f\x72\x64\
\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x4c\x42\x42\x33\
\x5f\x37\0\x4c\x42\x42\x33\x5f\x35\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\
\x70\x6c\x65\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x4c\x42\x42\x34\x5f\x33\
\0\x64\x6f\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\x63\x62\0\x4c\x42\x42\x36\x5f\
\x32\0\x4c\x42\x42\x36\x5f\x31\x30\0\x4c\x42\x42\x36\x5f\x35\0\x4c\x42\x42\x36\
\x5f\x37\0\x4c\x42\x42\x36\x5f\x39\0\x4c\x42\x42\x36\x5f\x38\0\x74\x65\x73\x74\
\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\0\x70\x69\x64\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\
\x65\x72\x72\0\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x65\x78\x70\
\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x6b\
\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x74\x65\x73\x74\x5f\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x72\x65\x61\x64\0\x74\x65\x73\x74\x5f\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x65\x70\x6f\x6c\x6c\0\x6b\
\x65\x72\x6e\x65\x6c\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x76\x61\x6c\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\
\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\
\x70\x72\x63\x74\x6c\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\
\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\
\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\
\x5f\x70\x72\x6c\x69\x6d\x69\x74\x36\x34\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x83\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x9a\0\0\0\x04\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\0\0\0\0\xa1\x02\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xa0\0\0\0\xb3\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\
\0\0\0\0\0\0\0\0\xba\x01\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\xdd\0\
\0\0\x04\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xe4\x01\0\0\x0a\0\0\0\0\0\0\
\0\x49\0\0\0\0\0\0\0\x0c\0\0\x01\x02\x02\0\0\x03\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\
\0\x01\xe8\0\0\x01\x18\0\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\x01\x1f\
\x01\0\0\x0a\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x20\0\0\x01\x39\0\0\0\x03\0\0\0\0\
\0\0\x01\x90\0\0\0\0\0\0\0\0\0\0\x01\x41\0\0\0\x03\0\0\0\0\0\0\0\xb0\0\0\0\0\0\
\0\0\0\0\0\x01\x48\0\0\0\x03\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\0\0\0\x01\x50\0\
\0\0\x03\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\x01\x57\0\0\0\x03\0\0\0\0\0\0\0\
\xe8\0\0\0\0\0\0\0\0\0\0\x01\x5e\0\0\0\x03\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\0\0\
\0\0\x01\x66\0\0\0\x03\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\x01\x6e\0\0\0\
\x03\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\x01\x75\0\0\0\x03\0\0\0\0\0\0\x01\
\x68\0\0\0\0\0\0\0\0\0\0\x01\x7d\x01\0\0\x0a\0\0\0\0\0\0\0\x35\0\0\0\0\0\0\0\
\x14\0\0\x01\x97\0\0\0\x03\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x9f\0\0\0\x05\0\0\0\0\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\x01\xa6\x02\0\0\x03\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\0\x01\xd0\
\0\0\x01\xb4\x01\0\0\x08\0\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\x01\xcc\0\0\0\
\x03\0\0\0\0\0\0\x02\x88\0\0\0\0\0\0\0\0\0\0\x01\xd3\0\0\0\x03\0\0\0\0\0\0\x03\
\x40\0\0\0\0\0\0\0\0\0\0\x01\xda\x01\0\0\x0a\0\0\0\0\0\0\0\x55\0\0\0\0\0\0\0\
\x1e\0\0\x01\xf0\0\0\0\x03\0\0\0\0\0\0\x03\x68\0\0\0\0\0\0\0\0\0\0\x01\xf7\0\0\
\0\x03\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x01\xfe\x01\0\0\x0a\0\0\0\0\0\0\0\
\x73\0\0\0\0\0\0\0\x23\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x16\0\0\0\x06\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\x02\x1d\x02\0\0\x03\0\
\0\0\0\0\0\x03\x70\0\0\0\0\0\0\0\x30\0\0\x02\x2b\0\0\0\x03\0\0\0\0\0\0\x04\x08\
\0\0\0\0\0\0\0\0\0\0\x02\x32\0\0\0\x03\0\0\0\0\0\0\x05\x78\0\0\0\0\0\0\0\0\0\0\
\x02\x3a\0\0\0\x03\0\0\0\0\0\0\x04\x68\0\0\0\0\0\0\0\0\0\0\x02\x41\0\0\0\x03\0\
\0\0\0\0\0\x04\xb8\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\x03\0\0\0\0\0\0\x05\x40\0\
\0\0\0\0\0\0\0\0\0\x02\x4f\0\0\0\x03\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0a\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x56\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\
\0\0\x02\x71\x11\0\0\x08\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\x02\x75\x11\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x02\x82\x11\0\0\x08\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x04\0\0\x02\x86\x11\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x08\0\0\x02\x93\x11\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\x02\xa9\
\x11\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\x02\xb6\x12\0\0\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\x02\xc8\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\x02\xcd\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\x02\xe5\
\x11\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\x02\xf4\x11\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x02\xfd\x11\0\0\x08\0\0\0\0\0\0\0\x28\0\0\0\0\
\0\0\0\x04\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x10\x85\0\0\0\0\0\0\xcb\x55\0\
\0\x09\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\
\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\x15\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x20\
\x85\0\0\0\0\0\0\x06\x05\0\0\x25\0\0\0\0\x61\x30\0\0\0\0\0\0\x65\x30\0\x07\0\0\
\0\x01\x15\x30\0\x16\0\0\0\0\x15\x30\0\x01\0\0\0\x01\x05\0\0\x0b\0\0\0\0\x61\
\x10\0\x08\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x05\0\0\x11\0\0\
\0\0\x15\x30\0\x15\0\0\0\x02\x15\x30\0\x01\0\0\0\x03\x05\0\0\x04\0\0\0\0\x61\
\x10\0\x08\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x05\0\0\x10\0\0\
\0\0\x18\x10\0\0\0\0\0\x35\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x14\x85\0\0\0\0\0\
\0\x06\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x02\x63\x12\0\0\0\
\0\0\0\x05\0\0\x0c\0\0\0\0\x79\x10\0\x08\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x79\x32\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x05\0\0\x05\0\0\0\0\x79\x10\0\
\x08\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x32\0\0\0\0\0\0\x2f\x31\0\
\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x31\0\0\
\0\0\0\0\x18\x10\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\xbf\x42\0\0\
\0\0\0\0\x07\x40\0\0\0\0\0\x01\x63\x14\0\0\0\0\0\0\x57\x20\0\0\0\0\0\x01\x55\
\x20\0\x14\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe0\xb7\x20\0\0\
\0\0\0\x20\xb7\x40\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc9\xbf\x10\
\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x15\x10\0\x21\0\0\0\0\
\x18\x10\0\0\0\0\0\x55\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x1e\xbf\x30\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x06\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\
\x63\x10\0\0\0\0\0\0\x05\0\0\x1c\0\0\0\0\xbf\x13\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\0\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xcb\x55\0\0\x0a\0\0\0\0\x18\x10\0\0\0\
\0\0\x73\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x23\x85\0\0\0\0\0\0\x06\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x02\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\x01\x05\0\0\x0d\0\0\0\0\x79\x10\0\x18\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x79\
\x10\0\x10\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x79\x10\0\x08\0\0\0\0\x7b\xa1\xff\
\xe8\0\0\0\0\x79\x10\0\0\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\
\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x10\xb7\x30\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x83\x55\0\0\x06\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\x04\x63\x12\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x01\x05\0\0\x2e\0\0\0\
\0\x57\x60\0\0\0\0\0\x03\x65\x60\0\x0a\0\0\0\x01\x15\x60\0\x13\0\0\0\0\xb7\x10\
\0\0\0\0\0\x01\x63\x01\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x63\x01\0\x08\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x02\
\x05\0\0\x1b\0\0\0\0\x15\x60\0\x12\0\0\0\x02\xb7\x10\0\0\0\0\0\x03\x63\x01\0\0\
\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x63\x01\0\x08\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x01\x05\0\0\x11\0\0\0\0\xb7\
\x10\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x04\x7b\x01\0\x08\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x04\x05\0\0\x08\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x63\x01\0\0\0\0\0\0\xb7\x10\0\0\
\0\0\0\x04\x7b\x01\0\x08\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\
\0\0\0\0\0\x67\x10\0\0\0\0\0\x02\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\
\0\0\0\0\0\xb7\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x84\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\
\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\
\x28\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xd1\x65\0\0\x0a\
\xff\xff\xff\xff\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x15\xbf\
\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x06\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\x05\0\0\x16\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x79\x41\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x31\0\0\0\0\0\0\x1d\x34\0\x09\0\0\0\0\x18\x10\0\0\0\0\0\x49\0\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\x0c\x85\0\0\0\0\0\0\x06\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\x03\x63\x12\0\0\0\0\0\0\x05\0\0\x06\0\0\0\0\xb7\x10\0\0\0\0\
\0\x08\x18\x20\0\0\0\0\x03\xa0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\xb5\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x5d\x10\0\x0a\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\
\x01\xa0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\xd1\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\x0c\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\x03\x70\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\
\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xd1\x65\0\0\x04\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\
\x72\x61\x69\x6e\x20\x72\x65\x74\x75\x72\x6e\x65\x64\x3a\x20\x25\x6c\x64\x0a\0\
\x55\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x6c\x79\x20\x66\x61\x69\x6c\x65\x64\
\x20\x74\x6f\x20\x67\x65\x74\x20\x6d\x73\x67\x0a\0\x55\x6e\x72\x65\x63\x6f\x67\
\x6e\x69\x7a\x65\x64\x20\x6f\x70\x20\x25\x64\x0a\0\x25\x6c\x75\x20\x21\x3d\x20\
\x25\x6c\x75\x0a\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x61\x64\
\x28\x29\x20\x66\x61\x69\x6c\x65\x64\x3a\x20\x25\x64\x0a\0\x55\x6e\x65\x78\x70\
\x65\x63\x74\x65\x64\x6c\x79\x20\x66\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\
\x65\x74\x20\x73\x61\x6d\x70\x6c\x65\x0a\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x30\0\0\
\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x2c\0\0\0\
\x01\0\0\0\0\0\0\x01\x08\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\x01\x38\0\0\0\x33\0\0\
\0\x01\0\0\0\0\0\0\x01\x68\0\0\0\x33\0\0\0\x01\0\0\0\0\0\0\x01\xa8\0\0\0\x2b\0\
\0\0\x01\0\0\0\0\0\0\x02\x38\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\x02\x60\0\0\0\x30\
\0\0\0\x01\0\0\0\0\0\0\x02\xb0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\x02\xd0\0\0\0\
\x30\0\0\0\x01\0\0\0\0\0\0\x03\x48\0\0\0\x35\0\0\0\x01\0\0\0\0\0\0\x03\x78\0\0\
\0\x35\0\0\0\x01\0\0\0\0\0\0\x03\xa8\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\x03\xd8\0\
\0\0\x30\0\0\0\x01\0\0\0\0\0\0\x04\x40\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\x04\x90\
\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\x04\xd8\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\x05\
\x20\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\x05\x40\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\
\x10\0\0\0\x2e\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\
\x40\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\
\x98\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\
\xd8\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\x01\
\x18\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\x01\x48\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\
\x10\0\0\0\x2e\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\
\x40\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\x68\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\
\x10\0\0\0\x2e\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\
\x40\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x30\0\0\0\x01\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x04\x74\0\0\x04\x74\0\0\x0a\xfc\0\0\0\0\x02\0\0\0\0\0\0\
\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x1f\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\
\0\x01\0\0\0\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\x0e\0\0\0\0\0\0\x05\0\0\
\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x1b\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\0\x19\0\0\0\x07\0\0\0\0\0\0\0\
\x2b\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\
\x01\0\0\0\x02\0\0\0\x3a\0\0\0\x0b\0\0\0\x3e\x0c\0\0\x01\0\0\0\x0c\0\0\0\0\x02\
\0\0\0\0\0\0\x0f\0\0\0\x59\x04\0\0\0\0\0\0\x10\0\0\0\0\x0d\0\0\x02\0\0\0\x11\0\
\0\0\x64\0\0\0\x0e\0\0\0\x6b\0\0\0\x0b\0\0\0\x73\x01\0\0\0\0\0\0\x08\x01\0\0\
\x40\0\0\0\x78\x0c\0\0\0\0\0\0\x10\0\0\0\x8a\x0c\0\0\x01\0\0\0\x0c\0\0\0\x9c\
\x0c\0\0\0\0\0\0\x10\0\0\0\xaa\x0c\0\0\x01\0\0\0\x0c\0\0\0\xc2\x0c\0\0\0\0\0\0\
\x10\0\0\0\xd0\x08\0\0\0\0\0\0\x18\0\0\0\xd6\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\0\x0d\0\0\x02\0\0\0\x02\0\0\0\xe3\0\0\0\x17\0\0\0\x6b\0\0\0\x0b\0\0\0\xe9\
\x0c\0\0\0\0\0\0\x19\0\0\0\xff\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\x01\x04\x0e\0\0\0\0\0\0\x1c\0\0\0\
\x01\0\0\x01\x0d\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\x12\x08\0\0\0\0\0\0\x20\
\0\0\x01\x18\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x01\x2b\x0e\0\0\0\0\0\0\x1f\0\0\
\0\x01\0\0\x01\x38\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x01\x45\x0e\0\0\0\0\0\0\
\x1f\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x1b\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x24\
\0\0\0\x04\0\0\0\x15\0\0\x01\x5b\x0e\0\0\0\0\0\0\x25\0\0\0\0\0\0\x01\x7e\x0e\0\
\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\x82\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\x86\
\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x04\0\
\0\0\x20\0\0\x01\x8a\x0e\0\0\0\0\0\0\x2a\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x24\0\0\0\x04\0\0\0\x14\0\0\x01\xa4\x0e\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x04\0\0\0\x0c\0\0\x01\xbe\x0e\0\0\0\0\0\0\x2e\0\
\0\0\0\0\0\x01\xdc\x0e\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x24\0\0\0\x04\0\0\0\x1e\0\0\x01\xf4\x0e\0\0\0\0\0\0\x31\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x24\0\0\0\x04\0\0\0\x23\0\0\x02\x0a\x0e\0\0\0\0\0\0\x33\0\0\
\0\0\0\0\x0a\x8a\x0f\0\0\x01\0\0\0\x04\0\0\0\x1d\0\0\0\0\0\0\0\x04\0\0\x0a\x92\
\x0f\0\0\x08\0\0\0\x30\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\0\x21\0\0\0\x08\0\0\0\
\x08\0\0\0\x22\0\0\0\x10\0\0\0\x08\0\0\0\x23\0\0\0\x18\0\0\0\x08\0\0\0\x27\0\0\
\0\x20\0\0\0\x04\0\0\0\x28\0\0\0\x24\0\0\0\x04\0\0\0\x29\0\0\0\x28\0\0\0\x04\0\
\0\0\x30\0\0\0\x2c\0\0\0\x04\0\0\x0a\x97\x0f\0\0\x02\0\0\0\x10\0\0\0\x06\0\0\0\
\0\0\0\0\x08\0\0\0\x0a\0\0\0\x08\0\0\0\x08\0\0\x0a\x9d\x0f\0\0\x06\0\0\0\x96\0\
\0\0\x26\0\0\0\0\0\0\0\x15\0\0\0\x2b\0\0\0\x15\0\0\0\x20\0\0\0\x2d\0\0\0\x35\0\
\0\0\x14\0\0\0\x2f\0\0\0\x49\0\0\0\x0c\0\0\0\x32\0\0\0\x55\0\0\0\x1e\0\0\0\x34\
\0\0\0\x73\0\0\0\x23\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x75\x73\x65\x72\x5f\
\x72\x69\x6e\x67\x62\x75\x66\0\x6b\x65\x72\x6e\x65\x6c\x5f\x72\x69\x6e\x67\x62\
\x75\x66\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\
\x67\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x62\x70\x66\x5f\x64\x79\
\x6e\x70\x74\x72\0\x64\x79\x6e\x70\x74\x72\0\x63\x6f\x6e\x74\x65\x78\x74\0\x6c\
\x6f\x6e\x67\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\x73\
\x67\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\
\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\0\x74\x65\x73\x74\x5f\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x65\x70\x6f\x6c\x6c\0\x64\x6f\
\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\x63\x62\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x69\x6e\x64\x65\x78\0\x70\x75\x62\
\x6c\x69\x73\x68\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x65\x61\x64\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x75\x73\x65\x72\x5f\
\x6d\x75\x74\x61\x74\x65\x64\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\
\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\
\x72\x69\x6e\x67\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x2e\x5f\x5f\
\x5f\x5f\x66\x6d\x74\0\x65\x72\x72\0\x70\x69\x64\0\x76\x61\x6c\0\x72\x65\x61\
\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\x73\x67\x2e\x5f\x5f\x5f\x5f\
\x66\x6d\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x73\
\x67\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x70\x75\x62\x6c\x69\x73\x68\x5f\x6b\x65\
\x72\x6e\x5f\x6d\x65\x73\x73\x61\x67\x65\x73\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\
\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x6e\x75\x6d\x5f\x63\
\x61\x6c\x6c\x73\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x5f\
\x5f\x5f\x5f\x66\x6d\x74\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\
\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x32\x37\x2e\x32\x32\x2e\x31\x2e\x65\x6c\
\x39\x5f\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x32\
\x37\x2e\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x34\x2e\x73\x33\x39\x30\x78\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x73\x65\x72\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x63\x63\x65\x73\x73\x2e\x63\0\x09\
\x6d\x73\x67\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\
\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x2a\x6d\x73\x67\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x73\x67\x29\
\x20\x7b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x31\x3b\0\x09\x09\x62\x70\x66\x5f\
\x70\x72\x69\x6e\x74\x6b\x28\x22\x55\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x6c\
\x79\x20\x66\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\x65\x74\x20\x6d\x73\x67\
\x5c\x6e\x22\x29\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x6d\x73\x67\x2d\x3e\
\x6d\x73\x67\x5f\x6f\x70\x29\x20\x7b\0\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\
\x61\x74\x65\x64\x20\x2b\x3d\x20\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\
\x64\x5f\x33\x32\x3b\0\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\
\x20\x2a\x3d\x20\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\
\x3b\0\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x55\x6e\x72\x65\
\x63\x6f\x67\x6e\x69\x7a\x65\x64\x20\x6f\x70\x20\x25\x64\x5c\x6e\x22\x2c\x20\
\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\x70\x29\x3b\0\x09\x09\x65\x72\x72\x20\
\x3d\x20\x32\x3b\0\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\
\x2b\x3d\x20\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\
\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\x3d\x20\x6d\
\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x7d\0\x72\x65\
\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x28\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\
\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x69\x66\x20\
\x28\x6e\x75\x6d\x5f\x63\x61\x6c\x6c\x73\x2b\x2b\x20\x25\x20\x32\x20\x3d\x3d\
\x20\x30\x29\x20\x7b\0\x09\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x62\x70\x66\
\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x61\x64\x28\x26\x73\x74\x61\x63\x6b\
\x5f\x73\x61\x6d\x70\x6c\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\
\x63\x6b\x5f\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\x64\x79\x6e\x70\x74\x72\x2c\
\x20\x30\x2c\x20\x30\x29\x3b\0\x09\x09\x69\x66\x20\x28\x73\x74\x61\x74\x75\x73\
\x29\x20\x7b\0\x09\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x62\
\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x61\x64\x28\x29\x20\x66\x61\
\x69\x6c\x65\x64\x3a\x20\x25\x64\x5c\x6e\x22\x2c\x20\x73\x74\x61\x74\x75\x73\
\x29\x3b\0\x09\x09\x09\x65\x72\x72\x20\x3d\x20\x31\x3b\0\x09\x09\x73\x61\x6d\
\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\
\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x29\x3b\0\x09\x09\x69\x66\x20\x28\x21\
\x73\x61\x6d\x70\x6c\x65\x29\x20\x7b\0\x09\x09\x09\x62\x70\x66\x5f\x70\x72\x69\
\x6e\x74\x6b\x28\x22\x55\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x6c\x79\x20\x66\
\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\x65\x74\x20\x73\x61\x6d\x70\x6c\x65\
\x5c\x6e\x22\x29\x3b\0\x09\x09\x09\x65\x72\x72\x20\x3d\x20\x32\x3b\0\x09\x09\
\x73\x74\x61\x63\x6b\x5f\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x2a\x73\x61\x6d\
\x70\x6c\x65\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\
\x6e\x64\x5f\x61\x64\x64\x28\x26\x72\x65\x61\x64\x2c\x20\x31\x29\x3b\0\x64\x6f\
\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\x63\x62\x28\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\
\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x70\x75\
\x62\x6c\x69\x73\x68\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\
\x28\x5f\x5f\x75\x33\x32\x20\x69\x6e\x64\x65\x78\x2c\x20\x76\x6f\x69\x64\x20\
\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x6d\x73\x67\x20\x3d\x20\x62\x70\x66\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x28\x26\x6b\
\x65\x72\x6e\x65\x6c\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x2a\x6d\x73\x67\x29\x2c\x20\x30\x29\x3b\0\x09\x09\x65\x72\x72\x20\
\x3d\x20\x34\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x69\x6e\x64\x65\x78\x20\
\x25\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x4e\x55\x4d\x5f\x4f\
\x50\x53\x29\x20\x7b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\x70\x20\
\x3d\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x49\x4e\x43\x33\x32\
\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x20\
\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x65\x78\x70\x65\
\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2b\
\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x6d\x73\x67\x2d\
\x3e\x6d\x73\x67\x5f\x6f\x70\x20\x3d\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\
\x4f\x50\x5f\x4d\x55\x4c\x33\x32\x3b\0\x09\x09\x65\x78\x70\x65\x63\x74\x65\x64\
\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\x3d\x20\x6f\x70\
\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\
\x5f\x6f\x70\x20\x3d\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x49\
\x4e\x43\x36\x34\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\
\x5f\x36\x34\x20\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x09\
\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\
\x65\x64\x20\x2b\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x09\
\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\x70\x20\x3d\x20\x54\x45\x53\x54\x5f\
\x4d\x53\x47\x5f\x4f\x50\x5f\x4d\x55\x4c\x36\x34\x3b\0\x09\x09\x65\x78\x70\x65\
\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\
\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x62\x70\x66\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x62\x6d\x69\x74\x28\x6d\x73\x67\x2c\x20\
\x30\x29\x3b\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x3d\x20\x70\x69\x64\x3b\0\x09\x69\
\x66\x20\x28\x21\x69\x73\x5f\x74\x65\x73\x74\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x28\x29\x29\0\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x62\x70\x66\x5f\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x72\x65\x61\x64\x5f\x70\
\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\x73\x67\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\
\x30\x29\x3b\0\x09\x69\x66\x20\x28\x73\x74\x61\x74\x75\x73\x20\x3c\x20\x30\x29\
\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x44\x72\x61\
\x69\x6e\x20\x72\x65\x74\x75\x72\x6e\x65\x64\x3a\x20\x25\x6c\x64\x5c\x6e\x22\
\x2c\x20\x73\x74\x61\x74\x75\x73\x29\x3b\0\x09\x69\x66\x20\x28\x65\x78\x70\x65\
\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x21\
\x3d\x20\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x29\x20\x7b\0\x09\x09\
\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x25\x6c\x75\x20\x21\x3d\x20\
\x25\x6c\x75\x5c\x6e\x22\x2c\x20\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\
\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x2c\x20\x75\x73\x65\x72\x5f\x6d\x75\
\x74\x61\x74\x65\x64\x29\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x33\x3b\0\x09\
\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x38\x2c\x20\x70\x75\x62\x6c\x69\x73\x68\
\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\x2c\x20\x4e\x55\x4c\
\x4c\x2c\x20\x30\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x72\x65\x63\x6f\x72\x64\
\x5f\x73\x61\x6d\x70\x6c\x65\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\
\x6e\x75\x6d\x5f\x73\x61\x6d\x70\x6c\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x64\x6f\x5f\x6e\x6f\
\x74\x68\x69\x6e\x67\x5f\x63\x62\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\
\x09\x69\x66\x20\x28\x6e\x75\x6d\x5f\x73\x61\x6d\x70\x6c\x65\x73\x20\x3c\x3d\
\x20\x30\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\
\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\
\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\
\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\x6c\x69\x6d\x69\x74\x36\x34\0\xeb\x9f\x01\
\0\0\0\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\x05\x74\0\0\x05\xd0\0\0\0\0\0\0\0\
\x08\0\0\x0a\xa5\0\0\0\x04\0\0\0\0\0\0\0\x12\0\0\x01\xa0\0\0\0\x14\0\0\x03\x70\
\0\0\0\x16\0\0\x03\xa0\0\0\0\x1a\0\0\x0a\xab\0\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\
\x0a\xc4\0\0\0\x01\0\0\0\0\0\0\0\x13\0\0\x0a\xdf\0\0\0\x01\0\0\0\0\0\0\0\x15\0\
\0\0\x10\0\0\x0a\xa5\0\0\0\x37\0\0\0\0\0\0\x02\x22\0\0\x02\xb0\0\x01\x74\x08\0\
\0\0\x18\0\0\x02\x22\0\0\x02\xe1\0\x01\x78\x06\0\0\0\x20\0\0\x02\x22\0\0\x02\
\xee\0\x01\x7c\x07\0\0\0\x40\0\0\x02\x22\0\0\x02\xf9\0\x01\x80\x03\0\0\0\x68\0\
\0\x02\x22\0\0\x03\x2b\0\x01\x14\x0f\0\0\0\x70\0\0\x02\x22\0\0\x03\x2b\0\x01\
\x14\x02\0\0\0\x90\0\0\x02\x22\0\0\x03\x43\0\x01\x28\x18\0\0\0\xb0\0\0\x02\x22\
\0\0\x03\x2b\0\x01\x14\x02\0\0\0\xc8\0\0\x02\x22\0\0\x03\x66\0\x01\x40\x18\0\0\
\0\xe8\0\0\x02\x22\0\0\x03\x89\0\x01\x4c\x03\0\0\x01\x08\0\0\x02\x22\0\0\x03\
\xbc\0\x01\x50\x07\0\0\x01\x30\0\0\x02\x22\0\0\x03\xc7\0\x01\x1c\x18\0\0\x01\
\x38\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\x02\x22\0\0\x03\xea\0\x01\x34\
\x18\0\0\x01\x68\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\x01\x90\0\0\x02\x22\0\0\x04\
\x0d\0\x01\x9c\x01\0\0\x01\xa0\0\0\x02\x22\0\0\x04\x0f\0\0\x98\0\0\0\x01\xa8\0\
\0\x02\x22\0\0\x04\x47\0\0\xb4\x0f\0\0\x01\xd8\0\0\x02\x22\0\0\x04\x47\0\0\xb4\
\x16\0\0\x01\xe0\0\0\x02\x22\0\0\x04\x47\0\0\xb4\x06\0\0\x01\xf0\0\0\x02\x22\0\
\0\x04\x64\0\0\xb8\x0c\0\0\x02\x30\0\0\x02\x22\0\0\x04\xb3\0\0\xbc\x07\0\0\x02\
\x38\0\0\x02\x22\0\0\x04\xc3\0\0\xc0\x04\0\0\x02\x60\0\0\x02\x22\0\0\x04\xfc\0\
\0\xc4\x08\0\0\x02\x88\0\0\x02\x22\0\0\x05\x08\0\0\xd4\x0c\0\0\x02\xa8\0\0\x02\
\x22\0\0\x05\x40\0\0\xd8\x07\0\0\x02\xb0\0\0\x02\x22\0\0\x05\x51\0\0\xdc\x04\0\
\0\x02\xd0\0\0\x02\x22\0\0\x05\x87\0\0\xe0\x08\0\0\x03\0\0\0\x02\x22\0\0\x05\
\x93\0\0\xec\x12\0\0\x03\x48\0\0\x02\x22\0\0\x05\xad\0\0\xf8\x02\0\0\x03\x68\0\
\0\x02\x22\0\0\x04\x0d\0\x01\0\x01\0\0\x03\x70\0\0\x02\x22\0\0\x05\xce\0\x03\
\x04\0\0\0\x03\x78\0\0\x02\x22\0\0\x05\xad\0\x03\x0c\x02\0\0\x03\x90\0\0\x02\
\x22\0\0\x06\x06\0\x03\x10\x02\0\0\x03\xa0\0\0\x02\x22\0\0\x06\x11\0\x01\xa4\0\
\0\0\x03\xa8\0\0\x02\x22\0\0\x06\x4e\0\x01\xbc\x08\0\0\x03\xd0\0\0\x02\x22\0\0\
\x02\xe1\0\x01\xc0\x06\0\0\x03\xd8\0\0\x02\x22\0\0\x06\x8c\0\x01\xc4\x07\0\0\
\x04\x08\0\0\x02\x22\0\0\x06\x97\0\x01\xd4\x02\0\0\x04\x28\0\0\x02\x22\0\0\x06\
\xbf\0\x01\xf4\x0f\0\0\x04\x38\0\0\x02\x22\0\0\x06\xe2\0\x01\xf0\x13\0\0\x04\
\x40\0\0\x02\x22\0\0\x07\x02\0\x01\xf8\x19\0\0\x04\x68\0\0\x02\x22\0\0\x06\x97\
\0\x01\xd4\x02\0\0\x04\x78\0\0\x02\x22\0\0\x07\x29\0\x02\x1c\x0f\0\0\x04\x88\0\
\0\x02\x22\0\0\x06\xe2\0\x02\x18\x13\0\0\x04\x90\0\0\x02\x22\0\0\x07\x4c\0\x02\
\x20\x19\0\0\x04\xc0\0\0\x02\x22\0\0\x07\x73\0\x01\xe0\x0f\0\0\x04\xd0\0\0\x02\
\x22\0\0\x07\x96\0\x01\xdc\x13\0\0\x04\xd8\0\0\x02\x22\0\0\x07\xb6\0\x01\xe4\
\x19\0\0\x05\x08\0\0\x02\x22\0\0\x07\xdd\0\x02\x08\x0f\0\0\x05\x18\0\0\x02\x22\
\0\0\x07\x96\0\x02\x04\x13\0\0\x05\x20\0\0\x02\x22\0\0\x08\0\0\x02\x0c\x19\0\0\
\x05\x40\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\x05\x60\0\0\x02\x22\0\0\x08\x27\0\x02\
\x40\x02\0\0\x05\x78\0\0\x02\x22\0\0\x04\x0d\0\x02\x4c\x01\0\0\x0a\xab\0\0\0\
\x0f\0\0\0\0\0\0\x02\x22\0\0\x08\x44\0\0\x80\x10\0\0\0\x08\0\0\x02\x22\0\0\x08\
\x44\0\0\x80\x2b\0\0\0\x10\0\0\x02\x22\0\0\x08\x75\0\0\x88\x14\0\0\0\x28\0\0\
\x02\x22\0\0\x08\x8d\0\x02\x98\x06\0\0\0\x30\0\0\x02\x22\0\0\x08\xa6\0\x02\xa4\
\x0b\0\0\0\x68\0\0\x02\x22\0\0\x08\xf3\0\x02\xa8\x06\0\0\0\x70\0\0\x02\x22\0\0\
\x09\x06\0\x02\xac\x03\0\0\0\x98\0\0\x02\x22\0\0\x02\xee\0\x02\xb0\x07\0\0\0\
\xc0\0\0\x02\x22\0\0\x09\x35\0\x02\x60\x1f\0\0\0\xd8\0\0\x02\x22\0\0\x09\x35\0\
\x02\x60\x06\0\0\0\xf0\0\0\x02\x22\0\0\x09\x35\0\x02\x60\x06\0\0\0\xf8\0\0\x02\
\x22\0\0\x09\x63\0\x02\x64\x03\0\0\x01\x18\0\0\x02\x22\0\0\x09\xa6\0\x02\x68\
\x07\0\0\x01\x40\0\0\x02\x22\0\0\x09\xb1\0\x02\x78\x02\0\0\x01\x70\0\0\x02\x22\
\0\0\x04\x0d\0\x02\xcc\x01\0\0\x0a\xc4\0\0\0\x07\0\0\0\0\0\0\x02\x22\0\0\x08\
\x44\0\0\x80\x10\0\0\0\x08\0\0\x02\x22\0\0\x08\x44\0\0\x80\x2b\0\0\0\x10\0\0\
\x02\x22\0\0\x08\x75\0\0\x88\x14\0\0\0\x28\0\0\x02\x22\0\0\x08\x8d\0\x02\xe0\
\x06\0\0\0\x30\0\0\x02\x22\0\0\x09\xdf\0\x02\xec\x08\0\0\0\x68\0\0\x02\x22\0\0\
\x09\xdf\0\x02\xec\x06\0\0\0\x80\0\0\x02\x22\0\0\x04\x0d\0\x02\xf8\x01\0\0\x0a\
\xdf\0\0\0\x08\0\0\0\0\0\0\x02\x22\0\0\x08\x44\0\0\x80\x10\0\0\0\x08\0\0\x02\
\x22\0\0\x08\x44\0\0\x80\x2b\0\0\0\x10\0\0\x02\x22\0\0\x08\x75\0\0\x88\x14\0\0\
\0\x28\0\0\x02\x22\0\0\x08\x8d\0\x03\x30\x06\0\0\0\x30\0\0\x02\x22\0\0\x0a\x25\
\0\x03\x3c\x10\0\0\0\x68\0\0\x02\x22\0\0\x0a\x73\0\x03\x40\x06\0\0\0\x70\0\0\
\x02\x22\0\0\x02\xee\0\x03\x44\x07\0\0\0\x90\0\0\x02\x22\0\0\x04\x0d\0\x03\x50\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x03\x76\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xb8\0\0\0\0\0\0\x05\x70\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x28\0\0\0\0\0\0\x05\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0e\xb0\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x30\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x4b\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\xc0\0\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x60\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x08\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x68\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x11\x68\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x7b\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x11\x78\0\0\0\0\0\0\0\x96\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x03\x01\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x10\
\0\0\0\0\0\0\x01\x40\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\x03\x0b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x50\0\0\
\0\0\0\0\0\xa0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\
\x28\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xf0\0\0\0\0\0\
\0\0\x40\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\x47\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x30\0\0\0\0\0\0\0\
\x40\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x03\x68\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x70\0\0\0\0\0\0\x0f\x88\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\x6d\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\xf8\0\0\0\0\0\0\x05\xf0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct user_ringbuf_success *user_ringbuf_success::open(const struct bpf_object_open_opts *opts) { return user_ringbuf_success__open_opts(opts); }
struct user_ringbuf_success *user_ringbuf_success::open_and_load() { return user_ringbuf_success__open_and_load(); }
int user_ringbuf_success::load(struct user_ringbuf_success *skel) { return user_ringbuf_success__load(skel); }
int user_ringbuf_success::attach(struct user_ringbuf_success *skel) { return user_ringbuf_success__attach(skel); }
void user_ringbuf_success::detach(struct user_ringbuf_success *skel) { user_ringbuf_success__detach(skel); }
void user_ringbuf_success::destroy(struct user_ringbuf_success *skel) { user_ringbuf_success__destroy(skel); }
const void *user_ringbuf_success::elf_bytes(size_t *sz) { return user_ringbuf_success__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
user_ringbuf_success__assert(struct user_ringbuf_success *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->read) == 4, "unexpected size of 'read'");
	_Static_assert(sizeof(s->bss->kern_mutated) == 8, "unexpected size of 'kern_mutated'");
	_Static_assert(sizeof(s->bss->user_mutated) == 8, "unexpected size of 'user_mutated'");
	_Static_assert(sizeof(s->bss->expected_user_mutated) == 8, "unexpected size of 'expected_user_mutated'");
	_Static_assert(sizeof(s->bss->err) == 4, "unexpected size of 'err'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->val) == 4, "unexpected size of 'val'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __USER_RINGBUF_SUCCESS_SKEL_H__ */
