/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_UNINIT_SKEL_H__
#define __VERIFIER_UNINIT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_uninit {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *read_uninitialized_register;
		struct bpf_program *read_invalid_register;
		struct bpf_program *t_init_r0_before_exit;
		struct bpf_program *before_exit_in_all_branches;
	} progs;
	struct {
		struct bpf_link *read_uninitialized_register;
		struct bpf_link *read_invalid_register;
		struct bpf_link *t_init_r0_before_exit;
		struct bpf_link *before_exit_in_all_branches;
	} links;

#ifdef __cplusplus
	static inline struct verifier_uninit *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_uninit *open_and_load();
	static inline int load(struct verifier_uninit *skel);
	static inline int attach(struct verifier_uninit *skel);
	static inline void detach(struct verifier_uninit *skel);
	static inline void destroy(struct verifier_uninit *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_uninit__destroy(struct verifier_uninit *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_uninit__create_skeleton(struct verifier_uninit *obj);

static inline struct verifier_uninit *
verifier_uninit__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_uninit *obj;
	int err;

	obj = (struct verifier_uninit *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_uninit__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_uninit__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_uninit *
verifier_uninit__open(void)
{
	return verifier_uninit__open_opts(NULL);
}

static inline int
verifier_uninit__load(struct verifier_uninit *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_uninit *
verifier_uninit__open_and_load(void)
{
	struct verifier_uninit *obj;
	int err;

	obj = verifier_uninit__open();
	if (!obj)
		return NULL;
	err = verifier_uninit__load(obj);
	if (err) {
		verifier_uninit__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_uninit__attach(struct verifier_uninit *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_uninit__detach(struct verifier_uninit *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_uninit__elf_bytes(size_t *sz);

static inline int
verifier_uninit__create_skeleton(struct verifier_uninit *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_uninit";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "read_uninitialized_register";
	s->progs[0].prog = &obj->progs.read_uninitialized_register;
	s->progs[0].link = &obj->links.read_uninitialized_register;

	s->progs[1].name = "read_invalid_register";
	s->progs[1].prog = &obj->progs.read_invalid_register;
	s->progs[1].link = &obj->links.read_invalid_register;

	s->progs[2].name = "t_init_r0_before_exit";
	s->progs[2].prog = &obj->progs.t_init_r0_before_exit;
	s->progs[2].link = &obj->links.t_init_r0_before_exit;

	s->progs[3].name = "before_exit_in_all_branches";
	s->progs[3].prog = &obj->progs.before_exit_in_all_branches;
	s->progs[3].link = &obj->links.before_exit_in_all_branches;

	s->data = (void *)verifier_uninit__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_uninit__elf_bytes(size_t *sz)
{
	*sz = 2368;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x80\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\x63\
\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x75\x6e\x69\x6e\x69\x74\x2e\x63\0\x6c\x30\x5f\x30\0\x72\x65\x61\x64\x5f\
\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x5f\x72\x65\x67\x69\x73\
\x74\x65\x72\0\x72\x65\x61\x64\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x67\
\x69\x73\x74\x65\x72\0\x74\x5f\x69\x6e\x69\x74\x5f\x72\x30\x5f\x62\x65\x66\x6f\
\x72\x65\x5f\x65\x78\x69\x74\0\x62\x65\x66\x6f\x72\x65\x5f\x65\x78\x69\x74\x5f\
\x69\x6e\x5f\x61\x6c\x6c\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x04\0\xff\xf1\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x32\0\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\x37\x12\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x53\x12\0\0\x03\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x10\0\0\0\x69\x12\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x10\0\
\0\0\x7f\x12\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x20\0\0\0\x9b\x11\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\x0f\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x35\
\x10\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\x01\x07\0\0\0\0\0\0\x02\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x9c\0\0\x01\x9c\
\0\0\x03\x07\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\x01\0\0\0\x01\0\0\0\
\x1d\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x52\x11\0\0\0\0\0\0\x02\xff\xff\
\xff\xff\0\0\0\x6e\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x92\x11\0\0\0\0\0\
\0\x02\xff\xff\xff\xff\0\0\0\xb5\x0c\0\0\x01\0\0\0\x01\0\0\0\xcb\x11\0\0\0\0\0\
\0\x07\xff\xff\xff\xff\0\0\0\x52\x11\0\0\0\0\0\0\x07\xff\xff\xff\xff\0\0\0\xfa\
\x11\0\0\0\0\0\0\x07\xff\xff\xff\xff\0\0\0\x92\x11\0\0\0\0\0\0\x07\xff\xff\xff\
\xff\0\0\x01\x21\x0c\0\0\x01\0\0\0\x01\0\0\x01\x37\x11\0\0\0\0\0\0\x0c\xff\xff\
\xff\xff\0\0\0\x52\x11\0\0\0\0\0\0\x0c\xff\xff\xff\xff\0\0\x01\x74\x11\0\0\0\0\
\0\0\x0c\xff\xff\xff\xff\0\0\0\x92\x11\0\0\0\0\0\0\x0c\xff\xff\xff\xff\0\0\x01\
\x98\x0c\0\0\x01\0\0\0\x01\0\0\x01\xb4\x11\0\0\0\0\0\0\x11\xff\xff\xff\xff\0\0\
\0\x52\x11\0\0\0\0\0\0\x11\xff\xff\xff\xff\0\0\x01\x74\x11\0\0\0\0\0\0\x11\xff\
\xff\xff\xff\0\0\x02\x01\x11\0\0\0\0\0\0\x11\xff\xff\xff\xff\0\0\x02\x36\x01\0\
\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x18\0\0\0\
\x04\0\0\x02\x3b\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x02\x4f\x0e\0\0\0\0\0\0\x17\
\0\0\0\x01\0\0\x02\xf8\x0f\0\0\x01\0\0\0\x04\0\0\0\x19\0\0\0\0\0\0\0\x04\0\x72\
\x65\x61\x64\x5f\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x5f\x72\
\x65\x67\x69\x73\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x61\x64\x20\x75\
\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x72\x65\x67\x69\x73\x74\
\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x32\x20\x21\
\x72\x65\x61\x64\x5f\x6f\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\
\x72\x69\x76\0\x72\x65\x61\x64\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x67\
\x69\x73\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x61\x64\x20\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x72\x65\x67\x69\x73\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\
\x31\x35\x20\x69\x73\x20\x69\x6e\x76\x61\x6c\x69\x64\0\x74\x5f\x69\x6e\x69\x74\
\x5f\x72\x30\x5f\x62\x65\x66\x6f\x72\x65\x5f\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x70\x72\x6f\x67\x72\x61\x6d\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x69\
\x6e\x69\x74\x20\x52\x30\x20\x62\x65\x66\x6f\x72\x65\x20\x65\x78\x69\x74\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x52\x30\x20\x21\x72\x65\x61\x64\x5f\x6f\x6b\0\x62\x65\x66\x6f\
\x72\x65\x5f\x65\x78\x69\x74\x5f\x69\x6e\x5f\x61\x6c\x6c\x5f\x62\x72\x61\x6e\
\x63\x68\x65\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x72\x6f\x67\x72\x61\x6d\x20\x64\
\x6f\x65\x73\x6e\x27\x74\x20\x69\x6e\x69\x74\x20\x52\x30\x20\x62\x65\x66\x6f\
\x72\x65\x20\x65\x78\x69\x74\x20\x69\x6e\x20\x61\x6c\x6c\x20\x62\x72\x61\x6e\
\x63\x68\x65\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\x31\x20\
\x70\x6f\x69\x6e\x74\x65\x72\x20\x63\x6f\x6d\x70\x61\x72\x69\x73\x6f\x6e\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x32\x37\x2e\x32\x32\x2e\x31\x2e\
\x65\x6c\x39\x5f\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x34\x32\x37\x2e\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x34\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x75\x6e\x69\x6e\x69\x74\x2e\x63\0\x09\x61\x73\x6d\
\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\0\xeb\x9f\x01\0\0\
\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x4c\0\0\0\x78\0\0\0\0\0\0\0\x08\0\0\
\x03\0\0\0\0\x04\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\x07\0\0\0\x20\0\0\0\x0c\0\0\
\0\x30\0\0\0\x11\0\0\0\x10\0\0\x03\0\0\0\0\x04\0\0\0\0\0\0\x02\x58\0\0\x02\xe1\
\0\0\x3c\x02\0\0\0\x10\0\0\x02\x58\0\0\x02\xe1\0\0\x6c\x02\0\0\0\x20\0\0\x02\
\x58\0\0\x02\xe1\0\0\xa4\x02\0\0\0\x30\0\0\x02\x58\0\0\x02\xe1\0\0\xd4\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb2\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\xd0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xa4\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\x04\
\xbb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe8\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct verifier_uninit *verifier_uninit::open(const struct bpf_object_open_opts *opts) { return verifier_uninit__open_opts(opts); }
struct verifier_uninit *verifier_uninit::open_and_load() { return verifier_uninit__open_and_load(); }
int verifier_uninit::load(struct verifier_uninit *skel) { return verifier_uninit__load(skel); }
int verifier_uninit::attach(struct verifier_uninit *skel) { return verifier_uninit__attach(skel); }
void verifier_uninit::detach(struct verifier_uninit *skel) { verifier_uninit__detach(skel); }
void verifier_uninit::destroy(struct verifier_uninit *skel) { verifier_uninit__destroy(skel); }
const void *verifier_uninit::elf_bytes(size_t *sz) { return verifier_uninit__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_uninit__assert(struct verifier_uninit *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_UNINIT_SKEL_H__ */
